Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl.render.dynamic
Class DynaRenderOptions

    java.lang.Object
      org.jboss.portal.theme.impl.render.dynamic.DynaRenderOptions

    public class DynaRenderOptions

extends java.lang.Object

Encapsulate dyna render options.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`static DynaRenderOptions` | `AJAX` .
`static java.lang.String` | `BLOCKING_HTTP_GET_ENABLED` Blocking HTTP GET (to do).
`static java.lang.String` | `DND_ENABLED` Drag and drop.
`static DynaRenderOptions` | `NO_AJAX` .
`static java.lang.String` | `PARTIAL_REFRESH_ENABLED` Partial refresh.

Method Summary
`java.lang.Boolean` | `getDnD()`
`static DynaRenderOptions` | `getOptions(boolean dnd, boolean partialRefresh)`
`static DynaRenderOptions` | `getOptions(java.lang.Boolean dnd, java.lang.Boolean partialRefresh)`
`static DynaRenderOptions` | `getOptions(java.util.Map propertyMap)`
`static DynaRenderOptions` | `getOptions(java.lang.String dndValue, java.lang.String partialRefreshValue)`
`java.lang.Boolean` | `getPartialRefresh()`
`boolean` | `isDnDEnabled()`
`boolean` | `isPartialRefreshEnabled()`
`void` | `setOptions(java.util.Map propertyMap)` Set the options on the specifed property map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DND_ENABLED

    public static final java.lang.String DND_ENABLED

  Drag and drop.

  See Also:
    Constant Field Values

### PARTIAL_REFRESH_ENABLED

    public static final java.lang.String PARTIAL_REFRESH_ENABLED

  Partial refresh.

  See Also:
    Constant Field Values

### BLOCKING_HTTP_GET_ENABLED

    public static final java.lang.String BLOCKING_HTTP_GET_ENABLED

  Blocking HTTP GET (to do).

  See Also:
    Constant Field Values

### NO_AJAX

    public static final DynaRenderOptions NO_AJAX

  .

### AJAX

    public static final DynaRenderOptions AJAX

  .

Method Detail

### getOptions

    public static DynaRenderOptions getOptions(boolean dnd,
                                               boolean partialRefresh)

### getOptions

    public static DynaRenderOptions getOptions(java.lang.Boolean dnd,
                                               java.lang.Boolean partialRefresh)

### getOptions

    public static DynaRenderOptions getOptions(java.lang.String dndValue,
                                               java.lang.String partialRefreshValue)

### getOptions

    public static DynaRenderOptions getOptions(java.util.Map propertyMap)

### setOptions

    public void setOptions(java.util.Map propertyMap)

  Set the options on the specifed property map.

  Parameters:
    `propertyMap` - the map to alter

### getDnD

    public java.lang.Boolean getDnD()

### isDnDEnabled

    public boolean isDnDEnabled()

### getPartialRefresh

    public java.lang.Boolean getPartialRefresh()

### isPartialRefreshEnabled

    public boolean isPartialRefreshEnabled()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD